Debian Bug report logs - #700903
ITP: headoverheels -- remake of the classical game from the '80s

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Fernando J. Rodríguez <groucho@lugmen.org.ar>

Date: Tue, 19 Feb 2013 01:12:02 UTC

Owned by: "Fernando J. Rodríguez" <groucho@lugmen.org.ar>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, groucho@lugmen.org.ar, debian-devel@lists.debian.org, wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>:
Bug#700903; Package wnpp. (Tue, 19 Feb 2013 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando J. Rodríguez <groucho@lugmen.org.ar>:
New Bug report received and forwarded. Copy sent to groucho@lugmen.org.ar, debian-devel@lists.debian.org, wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>. (Tue, 19 Feb 2013 01:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fernando J. Rodríguez <groucho@lugmen.org.ar>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: headoverheels -- remake of the classical game from the '80s
Date: Mon, 18 Feb 2013 22:09:42 -0300
Package: wnpp
Severity: wishlist
Owner: "Fernando J. Rodríguez" <groucho@lugmen.org.ar>

* Package name    : headoverheels
  Version         : 1.0.1
  Upstream Author : Jorge Rodriguez Santos <jorge@helmantika.org>
                    Vincent Penquerc'h (embedded alogg library)
* URL             : http://www.headoverheels2.com/drupal/hoh
* License         : GPL2+, LGPL2.1+
  Programming Lang: C++
  Description     : remake of the classical game from the '80s

Head over Heels is a arcade-adventure game in isometric perspective,
originally released in 1987 for several 8-bit home computers.

The player controls (initially separately) two characters, each with
different abilities, which become complementary when the player
combines them together.

The game offers more than 300 rooms to explore, with a variety of puzzles
to resolve, enemies to defeat and some surreal touches.



That being said, I have some concers about the legal status of the
game's artwork.
While the graphics have been drawn by the upstrem author himself, and
licensed with the code as free software, they resemble very faithfully
the original's, only with much higher resolution and colors.
If they can be considered derived works of the original game, then they
are very likely undistributable. 

Also, the graphics are distributed as bitmaps in BMP format, and
I'm not certain whether they are the actual source or not.

A little of advice on the concerns presented will be very appreciated.

Thanks,

-- 
Groucho



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>:
Bug#700903; Package wnpp. (Tue, 19 Feb 2013 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>. (Tue, 19 Feb 2013 02:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 700903@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Fernando J. Rodríguez <groucho@lugmen.org.ar>, 700903@bugs.debian.org
Subject: Re: Bug#700903: ITP: headoverheels -- remake of the classical game from the '80s
Date: Tue, 19 Feb 2013 10:34:44 +0800
On Tue, Feb 19, 2013 at 9:09 AM, Fernando J. Rodríguez wrote:

>                     Vincent Penquerc'h (embedded alogg library)

Please ask upstream remove the embedded alogg library and package it separately.

> That being said, I have some concers about the legal status of the
> game's artwork.
> While the graphics have been drawn by the upstrem author himself, and
> licensed with the code as free software, they resemble very faithfully
> the original's, only with much higher resolution and colors.
> If they can be considered derived works of the original game, then they
> are very likely undistributable.

The definition of "derivative work", at least in the USA appears to
include "art reproduction" or "any other form in which a work may be
recast". Ultimately though, if the remake is a derivative work or not
is something that would only be definitively determined in court.

https://en.wikipedia.org/wiki/Derivative_work#Definition
https://en.wikipedia.org/wiki/Video_game_clone#Legal_aspects

> Also, the graphics are distributed as bitmaps in BMP format, and
> I'm not certain whether they are the actual source or not.

Since the BMP files typically do not include information about how
they were produced, you will need to contact upstream about this and
ask them if they have other forms available.

If the images look vectorish, you can bet that either SVG/etc are
being withheld or the author threw away the vector originals.

Here is some advice for upstream about choosing the right source form
for graphics and audio. It also serves as a good set of things to ask
about. The rest of the page is useful advice for upstream developers
of games.

http://www.freedesktop.org/wiki/Games/Upstream#Source

If you contact upstream, please also point them at our general upstream guide:

http://wiki.debian.org/UpstreamGuide

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>:
Bug#700903; Package wnpp. (Tue, 19 Feb 2013 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>. (Tue, 19 Feb 2013 05:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 700903@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Fernando J.Rodríguez <groucho@lugmen.org.ar>, 700903@bugs.debian.org
Subject: Re: Bug#700903: ITP: headoverheels -- remake of the classical game from the '80s
Date: Tue, 19 Feb 2013 05:43:54 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2013-02-18 at 22:09 -0300, Fernando J.Rodríguez wrote:
[...]
>   Description     : remake of the classical game from the '80s
> 
> Head over Heels is a arcade-adventure game in isometric perspective,
> originally released in 1987 for several 8-bit home computers.
[...]
> That being said, I have some concers about the legal status of the
> game's artwork.
> While the graphics have been drawn by the upstrem author himself, and
> licensed with the code as free software, they resemble very faithfully
> the original's, only with much higher resolution and colors.
> If they can be considered derived works of the original game, then they
> are very likely undistributable. 
[...]

Use of the original name may also be considered trademark infringement.

Ben.

-- 
Ben Hutchings
Sturgeon's Law: Ninety percent of everything is crap.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>:
Bug#700903; Package wnpp. (Tue, 19 Feb 2013 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fernando J. Rodríguez (Herr Groucho)" <groucho@nys.com.ar>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Fernando J. Rodríguez" <groucho@lugmen.org.ar>. (Tue, 19 Feb 2013 18:42:02 GMT) Full text and rfc822 format available.

Message #20 received at 700903@bugs.debian.org (full text, mbox):

From: "Fernando J. Rodríguez (Herr Groucho)" <groucho@nys.com.ar>
To: 700903@bugs.debian.org
Subject: ITP: headoverheels -- remake of the classical game from the '80s
Date: Tue, 19 Feb 2013 15:32:57 -0300
submitter #700903 !
stop


I've got some clarifications from the upstream author, which 'll 
document here.


1) Embedded copy of alogg library.

Paul Wise <pabs@debian.org> said:
> Please ask upstream remove the embedded alogg library and
> package it separately.

The upstream developer stated that this is a modified copy of the 
library, because the original version had severe bugs and was not 
thread-safe.

libalogg used to be in Debian, but was removed for the following 
reasons: RoQA; dead upstream, RC-buggy. [1]

Knowing this, it doesn't seem sensible to me to reintroduce the library.

Possible alternatives are to modify the game to use allegro5 or liblogg 
as suggested in [2], or to keep the embedded library as it is.



2) Source of the images

The upstream developer indicated that the BMP files are the source by 
themselves.



3) Name of the game

Ben Hutchings <ben@decadent.org.uk> wrote:
> Use of the original name may also be considered trademark
> infringement.

The upstream developer stated that he is certain that the game's name is 
not registered.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671378#5

Taking this additional information into account, should I expect a 
package of headoverheels to be accepted in main?


[1]: http://packages.qa.debian.org/a/alogg/news/20120619T121126Z.html
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671378#5

-- 
Groucho



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:04:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.